/* crlfetch.h - LDAP access
 *      Copyright (C) 2002 Klarlvdalens Datakonsult AB
 *
 * This file is part of DirMngr.
 *
 * DirMngr is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * DirMngr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef CRLFETCH_H
#define CRLFETCH_H

#include <types.h>

/* Fetch CRL for issuer, returns ASSUAN_No_Error on success */
int crl_fetch( const char* issuer, char** value, size_t* valuelen );
/* Fetch cert for dn, returns ASSUAN_No_Error on success */
int ca_cert_fetch( const char* dn, char** value, size_t* valuelen );

int attr_fetch_ldap( const char* dn, const char* attr, char** value, size_t* valuelen );

#endif /* CRLFETCH_H */
